CreateReport
curl --request POST \
--url https://api.siftstack.com/api/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"runId": "<string>",
"name": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/reports"
payload = {
"organizationId": "<string>",
"runId": "<string>",
"name": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\",\n \"runId\": \"<string>\",\n \"name\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"failed": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {},
"error": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z"
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ReportService
CreateReport
Create a report.
POST
/
api
/
v1
/
reports
CreateReport
curl --request POST \
--url https://api.siftstack.com/api/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>",
"runId": "<string>",
"name": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/reports"
payload = {
"organizationId": "<string>",
"runId": "<string>",
"name": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports"
payload := strings.NewReader("{\n \"organizationId\": \"<string>\",\n \"runId\": \"<string>\",\n \"name\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"failed": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {},
"error": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z"
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Deprecated - use RuleEvaluationService instead.
Deprecated - use RuleEvaluationService instead.
Override the name of the report. If not provided, the name will be generated based on the report template or run.
Deprecated - use RuleEvaluationService instead.
Show child attributes
Show child attributes
Deprecated - use RuleEvaluationService instead.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
A successful response.
Deprecated - use RuleEvaluationService instead.
Show child attributes
Show child attributes
Was this page helpful?
⌘I